Unusual Whales UnusualWhales API

Greek flow by expiry

GET https://api.unusualwhales.com/api/group-flow/{flow_group}/greek-flow/{expiry}

Request

Security: Bearer Auth Authorization: Bearer <token>

Path Parameters

flow_group SingleFlowGroup required

A flow group

Example: airline
enum: airline, bank, basic materials, china, communication services, consumer cyclical, consumer defensive, crypto, cyber, energy, financial services, gas, gold, healthcare, industrials, mag7, oil, real estate, refiners, reit, semi, silver, technology, uranium, utilities
expiry Single expiry date required

A single expiry date in ISO date format.

Example: 2024-02-02

Query Parameters

date Optional Market Date optional

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example: 2024-01-18

Responses

200

Response Body 200 OK

dir_delta_flow Dir Delta Flow

The directional delta flow.

Example: -43593.96
dir_vega_flow Dir Vega Flow

The directional vega flow.

Example: 31243.04
expiry Option Contract Expiry

The contract expiry date in ISO format.

Example: 2023-12-22
flow_group Flow Group

A flow group where the flow data for all tickers in that group are aggregated.

Example: airline
net_call_premium Market General Net Call Premium

Defined as (call premium ask side) - (call premium bid side).

Example: -29138464
net_call_volume Market General Net Call Volume

Defined as (call volume ask side) - (call volume bid side).

Example: 1049
net_put_premium Market General Net Put Premium

Defined as (put premium ask side) - (put premium bid side).

Example: 23924325
net_put_volume Market General Net Put Volume

Defined as (put volume ask side) - (put volume bid side).

Example: 1313
otm_dir_delta_flow OTM Dir Delta Flow

The directional delta flow of out-of-the-money options.

Example: 14947.51
otm_dir_vega_flow OTM Dir Vega Flow

The directional vega flow of out-of-the-money options.

Example: 11421.03
otm_total_delta_flow OTM Total Delta Flow

The total delta flow of out-of-the-money options.

Example: -28564.02
otm_total_vega_flow OTM Total Vega Flow

The total vega flow of out-of-the-money options.

Example: 101745.64
timestamp Timestamp

The (start of minute) timestamp of the data.

Example: 2024-10-28T18:46:00Z
total_delta_flow Total Delta Flow

The total delta flow.

Example: -21257.36
total_vega_flow Total Vega Flow

The total vega flow.

Example: 350944.58
transactions Transactions

The amount of transactions.

Example: 1188
volume Volume

The total options volume.

Example: 12348
Try It GET
Path Parameters
Query Parameters

Request Sample
curl -X GET "https://api.unusualwhales.com/api/group-flow/{flow_group}/greek-flow/{expiry}" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
Response Example 200
{
  "data": [
    {
      "dir_delta_flow": "-43593.96",
      "dir_vega_flow": "31243.04",
      "expiry": "2024-10-28",
      "flow_group": "airline",
      "net_call_premium": "-1095135.00",
      "net_call_volume": 1049,
      "net_put_premium": "135732.00",
      "net_put_volume": 415,
      "otm_dir_delta_flow": "14947.51",
      "otm_dir_vega_flow": "11421.03",
      "otm_total_delta_flow": "-28564.02",
      "otm_total_vega_flow": "101745.64",
      "timestamp": "2024-10-28T18:46:00Z",
      "total_delta_flow": "-21257.36",
      "total_vega_flow": "350944.58",
      "transactions": 1188,
      "volume": 12348
    }
  ]
}